# bazel

## Bazel Executable
```
--detect.bazel.path
```

The path to the Bazel executable\.



|Details||
|---|---|
|Added|5\.2\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Bazel Target
```
--detect.bazel.target
```

The Bazel target \(for example, //foo:foolib\) for which dependencies are collected\. For Detect to run Bazel, this property must be set\.



|Details||
|---|---|
|Added|5\.2\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Bazel cquery additional options
```
--detect.bazel.cquery.options
```

A comma\-separated list of additional options to pass to the bazel cquery command\.



|Details||
|---|---|
|Added|6\.1\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Bazel workspace external dependency rule
```
--detect.bazel.dependency.type=ALL,NONE,MAVEN_JAR,MAVEN_INSTALL,HASKELL_CABAL_LIBRARY 
```

The Bazel workspace rule\(s\) used to pull in external dependencies\. If not set, Detect will attempt to determine the rule\(s\) from the contents of the WORKSPACE file\.



|Details||
|---|---|
|Added|6\.0\.0|
|Type|WorkspaceRule List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, NONE, MAVEN\_JAR, MAVEN\_INSTALL, HASKELL\_CABAL\_LIBRARY|
|Strict|Yes|
|Example|``|




