# lerna

## Lerna Executable
```
--detect.lerna.path
```

Path of the lerna executable\.



|Details||
|---|---|
|Added|6\.0\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Lerna Package Types Excluded
```
--detect.lerna.package.types.excluded=NONE,PRIVATE 
```

Set this value to indicate which Lerna package types Detect should exclude from the BOM\. By default, all package types will be reported\.



|Details||
|---|---|
|Added|7\.10\.0|
|Type|LernaDependencyType List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|NONE, PRIVATE|
|Strict|Yes|
|Example|`PRIVATE`|


## Lerna Packages Excluded (Advanced)
```
--detect.lerna.excluded.packages
```

A comma\-separated list of Lerna packages to exclude\.

As Detect parses the output of lerna ls \-\-all \-\-json, Detect will exclude any Lerna packages specified via this property\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
|Example|``|

## Lerna Packages Included (Advanced)
```
--detect.lerna.included.packages
```

A comma\-separated list of Lerna packages to include\.

As Detect parses the output of lerna ls \-\-all \-\-json2, if this property is set, Detect will include only those Lerna packages specified via this property that are not excluded\. Leaving this unset implies 'include all'\. Exclusion rules always win\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
|Example|``|



## Include Lerna Packages defined as private\. (Deprecated) 
```
--detect.lerna.include.private=false
```

Lerna allows for private packages that do not get published\. Set this to true to include all packages including private packages\.



**DEPRECATED: This property is being removed in favor of detect\.lerna\.package\.types\.excluded\. If the replacement property is set, this property is ignored\. It will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|6\.0\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

