# npm

## Additional NPM Command Arguments
```
--detect.npm.arguments
```

A space\-separated list of additional arguments that Detect will add at then end of the npm ls command line when Detect executes the NPM CLI Detector on an NPM project\.



|Details||
|---|---|
|Added|4\.3\.0|
|Type|Optional String|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|`--depth=0`|

## Npm Dependency Types Excluded
```
--detect.npm.dependency.types.excluded=NONE,DEV,PEER 
```

Set this value to indicate which Npm dependency types Detect should exclude from the BOM\. By default, all dependency types will be reported\.



|Details||
|---|---|
|Added|7\.10\.0|
|Type|NpmDependencyType List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|NONE, DEV, PEER|
|Strict|Yes|
|Example|`DEV,PEER`|

## NPM Executable
```
--detect.npm.path
```

The path to the Npm executable\.



|Details||
|---|---|
|Added|3\.0\.0|
|Type|Optional Path|
|Default Value||
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|
|Example|``|




## Include NPM Development Dependencies (Deprecated) 
```
--detect.npm.include.dev.dependencies=true
```

Set this value to false if you would like to exclude your dev dependencies when ran\.



**DEPRECATED: This property is being removed in favor of detect\.npm\.dependency\.types\.excluded\. If the replacement property is set, this property is ignored\. It will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|3\.0\.0|
|Type|Boolean|
|Default Value|true|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Include NPM Peer Dependencies (Deprecated) 
```
--detect.npm.include.peer.dependencies=true
```

Set this value to false if you would like to exclude your peer dependencies when ran\.



**DEPRECATED: This property is being removed in favor of detect\.npm\.dependency\.types\.excluded\. If the replacement property is set, this property is ignored\. It will be removed in 8\.0\.0.**

|Details||
|---|---|
|Added|7\.1\.0|
|Type|Boolean|
|Default Value|true|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

